WinShopAPI docs

Get an order delivery address

Returns one delivery address by `deliveryAddressId`. Requires `Permissions.OrderDeliveryAddress.View`.

GET
/api/documents/orders/delivery-address/{deliveryAddressId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

deliveryAddressId*integer
Formatint32

Response Body

application/json
  1. response
account?string
Lengthlength <= 50
bank?string
Lengthlength <= 50
companyIdentificationNumber?string
Lengthlength <= 15
countryId?integer
Formatint32
deliveryAddress?
documentNumber?string
dpdCollectionDate?|
Formatdate-time
dpdDepot?string
Lengthlength <= 20
dpdParcelShopId?string
Lengthlength <= 25
dpdRoute?string
Lengthlength <= 10
dpdSendDepot?string
Lengthlength <= 50
finalRecipient?
homelandAbroadOwn?integer
Formatint32
ibanCode?string
Lengthlength <= 35
invoicingAddress?
note?string
swiftCode?string
Lengthlength <= 20
vatPayer?boolean
vatRegistrationNumber?string
Lengthlength <= 15
zasilkovnaLocationId?string
Lengthlength <= 50
zasilkovnaReverseTrackingCode?string
Lengthlength <= 100
id?integer
Formatint32
curl -X GET 'https://<your-instance>/api/documents/orders/delivery-address/0' \  -H 'Authorization: Bearer <access-token>'
{  "account": "string",  "bank": "string",  "companyIdentificationNumber": "string",  "countryId": 0,  "deliveryAddress": {    "address1": "string",    "address2": "string",    "address3": "string",    "city": "string",    "contact": "string",    "country": "string",    "email": "string",    "name": "string",    "phone": "string",    "zipCode": "string"  },  "documentNumber": "string",  "dpdCollectionDate": "2019-08-24T14:15:22Z",  "dpdDepot": "string",  "dpdParcelShopId": "string",  "dpdRoute": "string",  "dpdSendDepot": "string",  "finalRecipient": {    "address1": "string",    "address2": "string",    "address3": "string",    "city": "string",    "contact": "string",    "country": "string",    "name": "string",    "zipCode": "string"  },  "homelandAbroadOwn": 0,  "ibanCode": "string",  "invoicingAddress": {    "address1": "string",    "address2": "string",    "address3": "string",    "city": "string",    "contact": "string",    "country": "string",    "email": "string",    "name": "string",    "phone": "string",    "zipCode": "string"  },  "note": "string",  "swiftCode": "string",  "vatPayer": true,  "vatRegistrationNumber": "string",  "zasilkovnaLocationId": "string",  "zasilkovnaReverseTrackingCode": "string",  "id": 0}